<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Class Members - Typedefs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_type.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>AbstractValue
: <a class="el" href="classOpenSim_1_1AbstractValueArray.html#a997100299b8858fa003981f5bdd1884d">OpenSim::AbstractValueArray</a>
, <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#ab98bf211722ade7630371d8235970b6a">OpenSim::ValueArrayDictionary</a>
</li>
<li>AliasList
: <a class="el" href="classOpenSim_1_1Input.html#a32745d1653d5939a4ca0025c5e08d81a">OpenSim::Input&lt; T &gt;</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>Channel
: <a class="el" href="classOpenSim_1_1Input.html#a12f106eb91fe98191178beb550b6e1d9">OpenSim::Input&lt; T &gt;</a>
</li>
<li>ChannelList
: <a class="el" href="classOpenSim_1_1Input.html#aaa6a4e34de1c0547076a9b2a8b4c9789">OpenSim::Input&lt; T &gt;</a>
</li>
<li>ChannelMap
: <a class="el" href="classOpenSim_1_1Output.html#af2a223af68234a80b767774a41dc19b4">OpenSim::Output&lt; T &gt;</a>
</li>
<li>ConsoleReporter
: <a class="el" href="group__reporters.html#ga277a2e5b81ce7957e0f010c5c7190a5a">OpenSim::ConsoleReporter_&lt; T &gt;</a>
</li>
<li>ConsoleReporterVec3
: <a class="el" href="group__reporters.html#gac8af196e3eec0621707388d0166a4c72">OpenSim::ConsoleReporter_&lt; T &gt;</a>
</li>
<li>const_iterator
: <a class="el" href="classOpenSim_1_1ComponentList.html#ad84ce07e23b1196eed15069fdd888d7f">OpenSim::ComponentList&lt; T &gt;</a>
, <a class="el" href="classOpenSim_1_1StatesTrajectory.html#a209cb0d3b77beb0c0981e6e0592c620c">OpenSim::StatesTrajectory</a>
</li>
<li>ConstT
: <a class="el" href="classOpenSim_1_1ComponentList.html#a218970ea33bd86489168169b98187cd9">OpenSim::ComponentList&lt; T &gt;</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>DependentsMetaData
: <a class="el" href="classOpenSim_1_1AbstractDataTable.html#ab0d529e8575ba739133b3523326966f6">OpenSim::AbstractDataTable</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>IndependentMetaData
: <a class="el" href="classOpenSim_1_1AbstractDataTable.html#ab5bd07dcadfe648f7e490880aadce901">OpenSim::AbstractDataTable</a>
</li>
<li>InputTables
: <a class="el" href="classOpenSim_1_1DataAdapter.html#a77fcec7eb62bc89789fbf836389d5950">OpenSim::DataAdapter</a>
</li>
<li>iterator
: <a class="el" href="classOpenSim_1_1ComponentList.html#af0c2b561cd718dead11c44e06e820aea">OpenSim::ComponentList&lt; T &gt;</a>
</li>
<li>IteratorRange
: <a class="el" href="classOpenSim_1_1StatesTrajectory.html#aa92da63221ee3e4ddf1fb2fdcce28e29">OpenSim::StatesTrajectory</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>Matrix
: <a class="el" href="classOpenSim_1_1DataTable__.html#a68f9386f556379eb3027a311c612f37a">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
<li>MatrixView
: <a class="el" href="classOpenSim_1_1DataTable__.html#a0fa88fbfdceca0ce8f61288bfc782bc1">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>NamesAndData
: <a class="el" href="classOpenSim_1_1MocoTrajectory.html#a6bfae3758204844e507c6f181ce09102">OpenSim::MocoTrajectory</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>OutputTables
: <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">OpenSim::DataAdapter</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>RegisteredDataAdapters
: <a class="el" href="classOpenSim_1_1DataAdapter.html#a4176166178df34d602b2e01bd7cd026d">OpenSim::DataAdapter</a>
</li>
<li>RowVector
: <a class="el" href="classOpenSim_1_1DataTable__.html#a4010676beab61858bcc4977bc596a1d0">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
, <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html#a8e61dc7a52efdbd2c2e5b892e9c68276">OpenSim::TimeSeriesTable_&lt; ETY &gt;</a>
</li>
<li>RowVectorView
: <a class="el" href="classOpenSim_1_1DataTable__.html#a9fbf4475d85a4b5352300a75ace1e6e4">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
, <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html#a942401d24229c0f60415ac2f5321523d">OpenSim::TimeSeriesTable_&lt; ETY &gt;</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>TableMetaData
: <a class="el" href="classOpenSim_1_1AbstractDataTable.html#a3e6e5a197323421a75121ff942b2071e">OpenSim::AbstractDataTable</a>
</li>
<li>TableReporter
: <a class="el" href="group__reporters.html#ga44c66fb5913c6ff4b18df2a157ea72c5">OpenSim::TableReporter_&lt; InputT, ValueT &gt;</a>
</li>
<li>TableReporterVec3
: <a class="el" href="group__reporters.html#gab43ef812e61ab4d6c2f852b7c0d98b9c">OpenSim::TableReporter_&lt; InputT, ValueT &gt;</a>
</li>
<li>TableReporterVector
: <a class="el" href="group__reporters.html#ga0a528a318f0f2657746fd978c8b2ec85">OpenSim::TableReporter_&lt; InputT, ValueT &gt;</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>Value
: <a class="el" href="classOpenSim_1_1ValueArray.html#aa67aa8743ffe10c2d89a24a311ba845f">OpenSim::ValueArray&lt; T &gt;</a>
</li>
<li>Vector
: <a class="el" href="classOpenSim_1_1DataTable__.html#a75dc6229c6fb789ade85d090d3d09986">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
<li>VectorView
: <a class="el" href="classOpenSim_1_1DataTable__.html#ab8eb08cdc93a75666b3ac2c657f175a9">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:52 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
